Quote Originally Posted by ADSOFT View Post
Igor and Victor,

It's starting to look like the compiler V6.0 , lol.
First and foremost, VC 6.0 is not an ANSI C++ compiler. The answers that were given to you earlier assumed you were using an ANSI C++ compiler, such as later versions of Visual C++. In VC 6.0, perfectly valid ANSI C++ code will fail to compile, and also, invalid ANSI C++ code will compile on that old compiler.

Next time, you need to mention the exact compiler you're using.

Regards,

Paul McKenzie